---
---

@import url(//fonts.googleapis.com/css?family=Titillium+Web);
@import url(//fonts.googleapis.com/css?family=Poiret+One);

@mixin small {
  @media only screen and (max-width: $screen-md-min) {
    @content;
  }
}

@mixin medium {
  @media only screen and (min-width: $screen-md-min) {
    @content;
  }
}

@mixin large {
  @media only screen and (min-width: $screen-lg-min) {
    @content;
  }
}

$footer-height: 97px;

$black: #000;
$gold: #cc8a2b;
$white: #fff;

$font-family-sans-serif: 'Titillium Web', sans-serif;
$font-family-heading: 'Poiret One';

$font-size-h1: 2.3125rem;
$font-size-h2: 1.4375rem;
$font-size-h3: 1.125rem;

$body-bg: $black;

$border-radius-base: 3px;

$jumbotron-bg: transparent;

$navbar-default-bg: $black;
$navbar-border-radius: 0;

$link-color: $gold;
$navbar-default-link-color: $gold;
$navbar-default-link-hover-color: $white;
$navbar-default-link-active-color: $white;
$dropdown-link-color: $black;
$dropdown-link-hover-color: $white;
$dropdown-link-hover-bg: $gold;

$home-xs-mobile-max-width: 90%;

$sponsor-logo-max-height: 105px;

@import url(//fonts.googleapis.com/css?family=Titillium+Web);
@import url(//fonts.googleapis.com/css?family=Poiret+One);

@import "bootstrap";

.navbar {
  border-bottom: 5px solid $white;
  margin-bottom: 0;
}

.navbar-default {
  @include large {
    padding: 0 2em;
  }
}

a.navbar-brand {
  padding: 2px 5px;
}

a.navbar-brand img {
  display: inline-block;
  height: 45px;
}

.jumbotron {
  margin-bottom: 0;
  overflow: hidden;
  padding: 2em;
  text-align: center;

  body.home & {
    background: $black;
  }

  img {
    display: block;
    margin: auto;
    max-height: 66vh;
    max-width: 100%;
  }
}

html {
  font-size: 100%;
  min-height: 100%;
  position: relative;
}

body {
  font-size: 100%;
  margin-bottom: $footer-height;

  & > .container::before {
    margin-bottom: 20px;
  }

  &.home {
    & > .container::before {
      margin-bottom: 0;
    }
  }
}

div.day-of {
  background: $white;
  display: none;
  margin: 0;
  padding: 1rem;
  text-align: center;

  h3 {
    font-size: $font-size-h2;
    font-weight: bold;
  }

  p {
    margin-bottom: 10px;
  }

  ul {
    list-style: none;
    margin: 0;
    padding: 0;

    li {
      line-height: 2rem;
    }
  }
}

body.venue ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

cite {
  font-size: 85%;
}

section.main {
  background: $white;
  min-height: 80vh;

  .home & {
    min-height: 0;
    padding: 1em 0;
  }

   body.post & {
     img {
       display: block;
       margin: 0 auto;
     }
   }
}

div.edit-this-page {
  background: #fff;
  font-size: 80%;
  text-align: center;
}

.center-image {
  display: block;
  margin: 0 auto;
}

.alert-cta {
  @include alert-variant($gold, $gold, $white);
}

div.posts {
  padding: 0;

  @include small {
    margin: 0 auto;
    max-width: $home-xs-mobile-max-width;
  }

  @include large {
    padding-left: 2em;
  }

  ol {
    list-style: none;
    padding: 0;
  }
}

ul.sponsors {
  align-items: top;
  display: flex;
  flex-flow: row wrap;
  padding: 0;

  li {
    list-style: none;
    text-align: center;
  }

  @include large {
    a.logo {
      display: table-cell;
      height: 105px;
      vertical-align: middle;
    }

    img {
      max-height: $sponsor-logo-max-height;
    }

    &.diamond img {
      max-height: $sponsor-logo-max-height * 3;
    }

    &.platinum img {
      max-height: $sponsor-logo-max-height * 2;
    }
  }

  img {
    max-width: 100%;
  }
}

div.sponsors {
  padding: 0;

  .row {
    margin: 0;
  }

  ul {
    align-items: center;
    display: flex;
    flex-flow: row wrap;
    padding: 0;

    li {
      list-style: none;
      margin-bottom: 2em;
      padding: 0;
      text-align: center;

      img {
        max-width: $home-xs-mobile-max-width;
      }
    }
  }
}

p {
  font-size: 1rem;
  line-height: 1.6;
  margin-bottom: 1.25rem;
}

h1 {
  background: $black;
  color: $gold;
  font-family: $font-family-heading;
  font-weight: normal;
  line-height: 1.4;
  margin-bottom: 0.5rem;
  margin-top: 0.2rem;
  text-align: center;
  text-transform: uppercase;

  @include large {
    border-radius: $border-radius-base;
  }
}

h2 {
  font-family: "Poiret One";
  font-weight: normal;
  text-decoration: underline;

  body.home & {
    color: $gold;
    text-transform: uppercase;
  }

  body.home &, body.sponsors & {
    margin: 0 0 2rem;
    text-align: center;
  }
}

h3 {
  font-family: "Poiret One";

  body.home & {
    color: $gold;
    text-align: center;
  }
}

dl {
  font-size: 1rem;
  line-height: 1.6;
}

dt {
  margin-bottom: 0.3rem;
}

dd {
  margin-bottom: 0.75rem;
}

ol.talks {
  list-style: none;
  margin: 0;
  padding: 0;

  li {
    border: 1px solid $black;
    margin-bottom: 0.5rem;
    padding: 15px;

    @include large {
      border-radius: $border-radius-base;
    }

    h3 {
      font-size: $font-size-h2;
      margin-top: 0;
    }

    h4 {
      font-size: $font-size-h3;
    }
  }
}

ul.talks {
  list-style: none;
  margin: 0;
  padding: 0;
}

body.talk {
  dt {
    clear: both;
    float: left;
    font-weight: normal;

    &::after {
      content: "\00a0 ";
    }
  }

  h3 {
    font-size: $font-size-h2;
  }

  h4 {
    font-size: $font-size-h3;
  }
}

body.schedule {
  h2 {
    text-align: center;
    text-decoration: none;
  }

  h3 {
    font-size: $font-size-h2;
  }

  @media print {
    footer,
    nav,
    .edit-this-page {
      display: none;
    }
  }
}

ol.schedule {
  list-style: none;
  margin: 0;
  padding: 0;

  @media print {
    & {
      page-break-after: always;

      &:last-of-type {
        page-break-after: avoid;
      }
    }

    div.row {
      page-break-inside: avoid;
    }

    a[href]:after {
      visibility: hidden;
    }
  }

  h4 {
    font-weight: bold;
    margin: 0;
  }

  a:hover {
    text-decoration: none;

    & h4 {
      text-decoration: underline;
    }
  }

  div.slots {
    @include medium {
      display: flex;
    }

    @media print {
      display: flex;
    }

    div {
      background: #f9f9f9;
      border: 1px solid $black;
      margin: 0 0.5rem 0.5rem 0;
      padding: 1.75rem 1rem 1rem;
      position: relative;

      @include small {
        width: 100%;
      }

      @include medium {
        display: flex;
        flex-basis: 0;
        flex-direction: column;
        flex-grow: 1;
        vertical-align: top;
      }

      @media print {
        display: flex;
        flex-basis: 0;
        flex-direction: column;
        flex-grow: 1;
        padding-bottom: 0.5rem;
        vertical-align: top;
      }

      @include large {
        border-radius: $border-radius-base;
      }

      &.break,
      &.meal,
      &.remarks {
        background: none;
        border: 0;
        padding-bottom: 0.5rem;
        padding-top: 0.5rem;

        .location {
          position: relative;
          right: 0;
          top: 0;
        }
      }

      .location {
        color: $black;
        position: absolute;
        right: 5px;
        top: 0.25rem;
      }

      .presenters {
        color: $black;
      }
    }
  }
}

table.schedule {
  border-collapse: separate;
  border-spacing: 2px;
  margin-bottom: 0.5rem;
  table-layout: fixed;
  width: 100%;

  thead tr,
  tr:nth-of-type(even) {
    background: #f9f9f9;
  }

  td,
  th {
    border: 1px solid #ddd;
    padding: 0.5rem 0.625rem 0.625rem;
    text-align: center;

    &:first-child {
      width: 85px;
    }
  }

  td {
    &.time {
      vertical-align: top;
      white-space: nowrap;
    }

    &.talk a.title {
      display: block;
    }
  }
}

footer {
  background: $black;
  bottom: 0;
  color: $white;
  display: block;
  font-size: 10pt;
  height: $footer-height;
  line-height: 1.5;
  position: absolute;
  text-align: center;
  width: 100%;

  .credits {
    padding: 20px 0;
  }

  a {
    color: $gold;
  }
}
